#ifndef DATA_GEAR_H
#define DATA_GEAR_H

#include "TYW_stdint.h"

typedef enum
{
    DIS_DATA_GEAR_N = 0,
    DIS_DATA_GEAR_R,
    DIS_DATA_GEAR_D1,
    DIS_DATA_GEAR_D2,
    DIS_DATA_GEAR_D3,
    DIS_DATA_GEAR_D4,
    DIS_DATA_GEAR_D5,
    DIS_DATA_GEAR_D6,
    DIS_DATA_GEAR_P,
    DIS_DATA_GEAR_D,
    DIS_DATA_GEAR_NONE,
} DATA_GEAR_VALUE;

void Data_Gear_KL30_Init(void);
void Data_Gear_KL15_Init(void);
void Data_Service_Gear_Processing(void);

uint8_t Gear_Get_Value(void);

#endif
